/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-ui-icon-button {
  font-family: inherit;
  text-transform: none;
  background-image: none;
  cursor: pointer;
  border: none;
  margin: 0;
  padding: 0;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: black;
  background-color: transparent;
  outline: none;

  &:hover {
    cursor: pointer;
  }

  &:disabled {
    fill: #e8e8e8;
    cursor: not-allowed;
    > svg {
      > path:not(:first-child) {
        stroke: #e8e8e8;
        opacity: 0.3;
      }
    }
  }

  &[type='button'] {
    -webkit-appearance: button;
  }

  & > svg {
    display: block;
    // fill: currentColor;
    width: 24px;
    height: 24px;
  }
}
